pyopengl: FTBFS: OSError: ('GL: cannot open shared object file: No such file or directory', 'GL', None)

Bug #1508294 reported by Logan Rosen
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pyopengl (Debian)
Fix Released
Unknown
pyopengl (Ubuntu)
High
Unassigned

Bug Description

Imported from Debian bug http://bugs.debian.org/802117:

Source: pyopengl
Version: 3.0.2-1
Severity: serious
Justification: fails to build from source
Tags: sid stretch
User: <email address hidden>
Usertags: ftbfs
X-Debbugs-CC: <email address hidden>

Dear Maintainer,

The package fails to build:

Skipping optional fixer: ws_comma
   dh_auto_test -O--buildsystem=pybuild
I: pybuild base:170: cd /pyopengl-3.0.2/.pybuild/pythonX.Y_2.7/build; python2.7 -m unittest discover -v

----------------------------------------------------------------------
Ran 0 tests in 0.000s

OK
I: pybuild base:170: cd /pyopengl-3.0.2/.pybuild/pythonX.Y_3.5/build; python3.5 -m unittest discover -v
OpenGL.GL (unittest.loader._FailedTest) ... ERROR
OpenGL.GLE (unittest.loader._FailedTest) ... ERROR
OpenGL.GLU (unittest.loader._FailedTest) ... ERROR
OpenGL.GLUT (unittest.loader._FailedTest) ... ERROR
OpenGL.GLX (unittest.loader._FailedTest) ... ERROR
OpenGL.Tk (unittest.loader._FailedTest) ... ERROR
OpenGL.WGL (unittest.loader._FailedTest) ... ERROR
OpenGL.arrays (unittest.loader._FailedTest) ... ERROR
OpenGL.platform (unittest.loader._FailedTest) ... ERROR
OpenGL.raw.GLE (unittest.loader._FailedTest) ... ERROR
OpenGL.raw.GLU (unittest.loader._FailedTest) ... ERROR
OpenGL.raw.GLUT (unittest.loader._FailedTest) ... ERROR

======================================================================
ERROR: OpenGL.GL (unittest.loader._FailedTest)
----------------------------------------------------------------------
ImportError: Failed to import test module: OpenGL.GL
Traceback (most recent call last):
  File "/pyopengl-3.0.2/.pybuild/pythonX.Y_3.5/build/OpenGL/platform/glx.py", line 14, in GLXPlatform
    mode=ctypes.RTLD_GLOBAL
  File "/pyopengl-3.0.2/.pybuild/pythonX.Y_3.5/build/OpenGL/platform/ctypesloader.py", line 53, in loadLibrary
    return dllType( name, mode )
  File "/usr/lib/python3.5/ctypes/__init__.py", line 347, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: ('GL: cannot open shared object file: No such file or directory', 'GL', None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.5/unittest/loader.py", line 462, in _find_test_path
    package = self._get_module_from_name(name)
  File "/usr/lib/python3.5/unittest/loader.py", line 369, in _get_module_from_name
    __import__(name)
  File "/pyopengl-3.0.2/.pybuild/pythonX.Y_3.5/build/OpenGL/GL/__init__.py", line 3, in <module>
    from OpenGL.GL.VERSION.GL_1_1 import *
  File "/pyopengl-3.0.2/.pybuild/pythonX.Y_3.5/build/OpenGL/GL/VERSION/GL_1_1.py", line 10, in <module>
    from OpenGL import platform, constants, constant, arrays
  File "/pyopengl-3.0.2/.pybuild/pythonX.Y_3.5/build/OpenGL/platform/__init__.py", line 35, in <module>
    _load()
  File "/pyopengl-3.0.2/.pybuild/pythonX.Y_3.5/build/OpenGL/platform/__init__.py", line 26, in _load
    plugin_class = plugin.load()
  File "/pyopengl-3.0.2/.pybuild/pythonX.Y_3.5/build/OpenGL/plugins.py", line 14, in load
    return importByName( self.import_path )
  File "/pyopengl-3.0.2/.pybuild/pythonX.Y_3.5/build/OpenGL/plugins.py", line 28, in importByName
    module = __import__( ".".join(moduleName), {}, {}, moduleName)
  File "/pyopengl-3.0.2/.pybuild/pythonX.Y_3.5/build/OpenGL/platform/glx.py", line 5, in <module>
    class GLXPlatform( baseplatform.BasePlatform ):
  File "/pyopengl-3.0.2/.pybuild/pythonX.Y_3.5/build/OpenGL/platform/glx.py", line 17, in GLXPlatform
    raise ImportError("Unable to load OpenGL library", *err.args)
ImportError: ('Unable to load OpenGL library', 'GL: cannot open shared object file: No such file or directory', 'GL', None)

..

FAILED (errors=12)

Full build log:
https://reproducible.debian.net/rb-pkg/unstable/amd64/pyopengl.html

-- System Information:
Debian Release: stretch/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Logan Rosen (logan)
Changed in pyopengl (Ubuntu):
status: New → Triaged
importance: Undecided → High
tags: added: ftbfs
Changed in pyopengl (Debian):
importance: Undecided → Unknown
Changed in pyopengl (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.